Main Page Namespace List Class Hierarchy Compound List Compound Members

# qdbm::ADBM Class Reference

Inheritance diagram for qdbm::ADBM:

List of all members.

## Detailed Description

Aabstraction for database managers compatible with DBM.

## Public Member Functions

virtual void | close ()=0 throw (DBM_error)
| Close the database connection.
virtual void | storerec (const Datum &key, const Datum &val, bool replace=true)=0 throw (DBM_error)
| Store a record.
virtual void | deleterec (const Datum &key)=0 throw (DBM_error)
| Delete a record.
virtual Datum * | fetchrec (const Datum &key)=0 throw (DBM_error)
| Fetch a record.
virtual Datum * | firstkey ()=0 throw (DBM_error)
| Get the first key.
virtual Datum * | nextkey ()=0 throw (DBM_error)
| Get the next key.
virtual bool | error ()=0 throw (DBM_error)
| Check whether an fatal error occured or not.
virtual void | clearerror ()=0 throw (DBM_error)
| Clear the error condition on the database.

## Member Function Documentation

virtual void qdbm::ADBM::clearerror | ( |  | ) | throw (DBM_error)`[pure virtual]`

Clear the error condition on the database.

Exceptions:

  DBM_error | if an error occures.

Implemented in qdbm::Curia, and qdbm::Depot.

virtual void qdbm::ADBM::close | ( |  | ) | throw (DBM_error)`[pure virtual]`

Close the database connection.

Exceptions:

  DBM_error | if an error occures.

Implemented in qdbm::Curia, and qdbm::Depot.

virtual void qdbm::ADBM::deleterec | ( | const Datum & | key | ) | throw (DBM_error)`[pure virtual]`

Delete a record.

Parameters:

  key | reference to a key object.

Exceptions:

  DBM_error | if an error occures or no record corresponds.

Implemented in qdbm::Curia, and qdbm::Depot.

virtual bool qdbm::ADBM::error | ( |  | ) | throw (DBM_error)`[pure virtual]`

Check whether an fatal error occured or not.

Returns:
  true if the database has a fatal error, false if not.

Exceptions:

  DBM_error | if an error occures.

Implemented in qdbm::Curia, and qdbm::Depot.

virtual Datum* qdbm::ADBM::fetchrec | ( | const Datum & | key | ) | throw (DBM_error)`[pure virtual]`

Fetch a record.

Parameters:

  key | reference to a key object.

Returns:
  the pointer to an instance of the value of the corresponding record.

Exceptions:

  DBM_error | if an error occures or no record corresponds.

Note:
  The instance pointed to by the return value is to be destloyed by the caller.

Implemented in qdbm::Curia, and qdbm::Depot.

virtual Datum* qdbm::ADBM::firstkey | ( |  | ) | throw (DBM_error)`[pure virtual]`

Get the first key.

Returns:
  the pointer to an instance of the value of the first record.

Exceptions:

  DBM_error | if an error occures or no record corresponds.

Note:
  The instance pointed to by the return value is to be destloyed by the caller.

Implemented in qdbm::Curia, and qdbm::Depot.

virtual Datum* qdbm::ADBM::nextkey | ( |  | ) | throw (DBM_error)`[pure virtual]`

Get the next key.

Returns:
  the pointer to an instance of the value of the first record.

Exceptions:

  DBM_error | if an error occures or no record corresponds.

Note:
  The instance pointed to by the return value is to be destloyed by the caller.

Implemented in qdbm::Curia, and qdbm::Depot.

virtual void qdbm::ADBM::storerec | ( | const Datum & | key,
|  | const Datum & | val,
|  | bool | replace = true
| ) | throw (DBM_error)`[pure virtual]`

Store a record.

Parameters:

  key | reference to a key object.
  val | reference to a value object.
  replace | whether the existing value is to be overwritten or not.

Exceptions:

  DBM_error | if an error occures or replace is cancelled.

Implemented in qdbm::Curia, and qdbm::Depot.

The documentation for this class was generated from the following file:

- xadbm.h